org.apache.lucene.facet.taxonomy

## Class DocValuesOrdinalsReader

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.OrdinalsReader
  - - org.apache.lucene.facet.taxonomy.DocValuesOrdinalsReader

    public class DocValuesOrdinalsReader
    extends OrdinalsReader

Decodes ordinals previously indexed into a BinaryDocValues field

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.facet.taxonomy.OrdinalsReader

`OrdinalsReader.OrdinalsSegmentReader`

### Constructor Summary

Constructors
Constructor and Description
`DocValuesOrdinalsReader()` Default constructor.
`DocValuesOrdinalsReader(String field)` Create this, with the specified indexed field name.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `decode(BytesRef buf, IntsRef ordinals)` Subclass and override if you change the encoding.
`String` `getIndexFieldName()` Returns the indexed field name this `OrdinalsReader` is reading from.
`OrdinalsReader.OrdinalsSegmentReader` `getReader(LeafReaderContext context)` Set current atomic reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocValuesOrdinalsReader

    public DocValuesOrdinalsReader()

Default constructor.

#### DocValuesOrdinalsReader

    public DocValuesOrdinalsReader(String field)

Create this, with the specified indexed field name.

### Method Detail

#### getReader

    public OrdinalsReader.OrdinalsSegmentReader getReader(LeafReaderContext context)
                                                   throws IOException

Description copied from class: `OrdinalsReader`
Set current atomic reader.

Specified by:
  `getReader` in class `OrdinalsReader`
Throws:
  `IOException`

#### getIndexFieldName

    public String getIndexFieldName()

Description copied from class: `OrdinalsReader`
Returns the indexed field name this `OrdinalsReader` is reading from.

Specified by:
  `getIndexFieldName` in class `OrdinalsReader`

#### decode

    protected void decode(BytesRef buf,
                          IntsRef ordinals)

Subclass and override if you change the encoding.